#!/usr/local/bin/perl -w
#
#   webstat.pl 29.12.00
#
#   Extract information from web access log file
#
#   Digicomp AG
#   Pirmin Kalberer <pka@sourcepole.ch>
#   
#   Example Usage: webstat.pl access.log | tee webstat.html
#

use strict;

my $title = 'Logfile Analysis';
my $author = 'pka@sourcepole.ch';

my $searchpattern = '127.0.0.1';

# Print HTML-Header:
print "<HTML>
<HEAD>
<TITLE>$title</TITLE>
</HEAD>
<H1>$title</H1>
\n";

# Print filtered Input-Files:
print "<BR><BR><PRE>";
while (<>) {
  if (substr($_, 0, length($searchpattern)) eq $searchpattern) {
    print $_;
  }
}
print "</PRE>";

# Print HTML-Footer:
print "
<BR>
<ADDRESS>
<A HREF = \"mailto:$author\">$author</A>
</ADDRESS>
</BODY>

</HTML>
\n";
