#!/usr/local/bin/perl -w
#
#   webstat.pl 29.12.00
#
#   Extract information from web access log file
#
#   Digicomp AG
#   Pirmin Kalberer <pka@sourcepole.ch>
#   
#   Example Usage: webstat.pl access.log | tee webstat.html
#

use strict;

# $hosts{$address} = $count
my %hosts;

while (<>) {
    $hosts{substr($_, 0, 15)}++;
}

print "Hosts:\n";
foreach my $key (keys %hosts) {
    print "$key ($hosts{$key} hits)\n";
}

print "\nSorted by Hits:\n";
foreach my $key (sort { $hosts{$b} <=> $hosts{$a} } keys %hosts) {
    print "$key ($hosts{$key} hits)\n";
}
