#!/usr/local/bin/perl -w
#
#   lookup.pl 29.12.00
#
#   Digicomp AG
#   Pirmin Kalberer <pka@sourcepole.ch>
#

use strict;

my %statusmap = 
  ( 200 => 'Success',
    202 => 'Accepted',
    203 => 'Partial Information',
    204 => 'No response',
    301 => 'Document moved',
    302 => 'Forward',
    304 => 'Not Modified',
    400 => 'Bad request',
    401 => 'Unauthorized',
    402 => 'Payment Required',
    403 => 'Forbidden',
    404 => 'Not Found',
    500 => 'Internal Server Error',
    501 => 'Not Implemented'
  );

print &getStatusText($ARGV[0]), "\n";

sub getStatusText {
  my ($status) = @_;
  
  my $statustext = $statusmap{$status};
  return $statustext ? $statustext : "Unknown ($status)";
}
